automation-suite
2023.10
false
重要 :
新发布内容的本地化可能需要 1-2 周的时间才能完成。

Automation Suite API 指南
上次更新日期 2025年2月24日
作为组织管理员,请使用此端点向组分配许可证。 为此,您需要创建一个名为
PM.License.Write作用域的外部应用程序。
了解如何创建外部应用程序。
PUT
https://{yourDomain}/{organizationName}/lease_/api/account/{accountId}/user-license/group/{groupId}--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'|
路径参数 |
数据类型 |
描述 |
|---|---|---|
|
(必填) |
字符串 |
租户所在组织的 ID。 |
|
(必填) |
字符串 |
要向其分配许可证的组的 ID。 您可以通过以下步骤检索此 ID。 |
请求正文包含各种产品的许可证代码数组及其相应的数量。
{
"userBundleCodes": ["string"]
}{
"userBundleCodes": ["string"]
}备注:
- 要查看可在请求正文中使用的许可证代码,请查看用户许可证代码。
- 您可以分配与组织购买的许可证一样多的许可证。
假设您收集了构建 API 调用所需的所有信息。
- 您的
{baseURL}为:https://{yourDomain}/{organizationName}。 - 您的
{access_token}为:1234(出于长度考虑)。 - 需要分配许可证的租户
{accountId}为:song-one {groupId}为:group-01。- 您需要按如下方式向组分配用户许可证:
调用应类似于以下示例 (cURL):
curl --location --request POST 'https://https://{yourDomain}/{organizationName}/lease_/api/account/1234/user-license/group/group-01' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"userBundleCodes": ["RPADEVPRONU", "IDU", "CTZDEVCU"],
"useExternalLicense": false
}'curl --location --request POST 'https://https://{yourDomain}/{organizationName}/lease_/api/account/1234/user-license/group/group-01' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"userBundleCodes": ["RPADEVPRONU", "IDU", "CTZDEVCU"],
"useExternalLicense": false
}'以下是成功分配许可证的响应正文:
{
"groupId": "string",
"organizationId": "string",
"useExternalLicense": false,
"userBundleCodes": [
"string"
]
}{
"groupId": "string",
"organizationId": "string",
"useExternalLicense": false,
"userBundleCodes": [
"string"
]
}